diff --git a/base/CMakeLists.txt b/base/CMakeLists.txt
index ad3410c..5cd14a9 100644
--- a/base/CMakeLists.txt
+++ b/base/CMakeLists.txt
@@ -17,7 +17,6 @@ if (APPLICATION_FLAVOR_PKI_CORE)
         add_subdirectory(tks)
         add_subdirectory(tps)
         add_subdirectory(setup)
-        add_subdirectory(silent)
 
         if(WITH_JAVADOC)
             add_subdirectory(javadoc)
@@ -39,10 +38,6 @@ if (APPLICATION_FLAVOR_PKI_CORE)
 
 endif (APPLICATION_FLAVOR_PKI_CORE)
 
-if (APPLICATION_FLAVOR_PKI_RA)
-    add_subdirectory(ra)
-endif (APPLICATION_FLAVOR_PKI_RA)
-
 if (APPLICATION_FLAVOR_PKI_TPS)
     add_subdirectory(tps-client)
 endif (APPLICATION_FLAVOR_PKI_TPS)
diff --git a/base/setup/CMakeLists.txt b/base/setup/CMakeLists.txt
index 05f1833..29244c6 100644
--- a/base/setup/CMakeLists.txt
+++ b/base/setup/CMakeLists.txt
@@ -2,10 +2,7 @@ project(setup)
 
 install(
     FILES
-        pkicreate
-        pkiremove
         pki-setup-proxy
-        scripts/pkicontrol
     DESTINATION
         ${BIN_INSTALL_DIR}
     PERMISSIONS
@@ -17,8 +14,6 @@ install(
 install(
     FILES
         pkicommon.pm
-        scripts/functions
-        scripts/pki_apache_initscript
     DESTINATION
         ${DATA_INSTALL_DIR}/scripts/
     PERMISSIONS
diff --git a/scripts/build_dogtag_pki b/scripts/build_dogtag_pki
index 91acc3b..058abc9 100755
--- a/scripts/build_dogtag_pki
+++ b/scripts/build_dogtag_pki
@@ -104,7 +104,6 @@ fi
 PKI_COMPOSE_SCRIPTS_DIR="${PKI_PWD}/${PKI_DIR}/${PKI_SCRIPTS_DIR}"
 COMPOSE_DOGTAG_PKI_THEME_PACKAGES="compose_dogtag_pki_theme_packages"
 COMPOSE_PKI_CORE_PACKAGES="compose_pki_core_packages"
-COMPOSE_PKI_RA_PACKAGES="compose_pki_ra_packages"
 COMPOSE_PKI_TPS_PACKAGES="compose_pki_tps_packages"
 COMPOSE_PKI_CONSOLE_PACKAGES="compose_pki_console_packages"
 
@@ -112,13 +111,11 @@ COMPOSE_PKI_CONSOLE_PACKAGES="compose_pki_console_packages"
 PKI_PACKAGES_DIR="${PKI_PWD}/packages"
 PKI_DOGTAG_THEME_PACKAGES_DIR="${PKI_PWD}/packages.dogtag_theme"
 PKI_CORE_PACKAGES_DIR="${PKI_PWD}/packages.core"
-PKI_RA_PACKAGES_DIR="${PKI_PWD}/packages.ra"
 PKI_TPS_PACKAGES_DIR="${PKI_PWD}/packages.tps"
 PKI_CONSOLE_PACKAGES_DIR="${PKI_PWD}/packages.console"
 
 # Establish PKI theme package names
 PKI_SERVER_THEME=${PKI_FLAVOR}-pki-server-theme${RPM_EXT}
-PKI_RA_THEME=${PKI_FLAVOR}-pki-ra-theme${RPM_EXT}
 PKI_TPS_THEME=${PKI_FLAVOR}-pki-tps-theme${RPM_EXT}
 PKI_CONSOLE_THEME=${PKI_FLAVOR}-pki-console-theme${RPM_EXT}
 
@@ -134,9 +131,6 @@ PKI_KRA=pki-kra${RPM_EXT}
 PKI_OCSP=pki-ocsp${RPM_EXT}
 PKI_TKS=pki-tks${RPM_EXT}
 
-# Establish PKI ra package names
-PKI_RA=pki-ra${RPM_EXT}
-
 # Establish PKI tps package names
 PKI_TPS=pki-tps${RPM_EXT}
 
@@ -147,7 +141,6 @@ PKI_CONSOLE=pki-console${RPM_EXT}
 rm -rf ${PKI_PACKAGES_DIR}
 rm -rf ${PKI_DOGTAG_THEME_PACKAGES_DIR}
 rm -rf ${PKI_CORE_PACKAGES_DIR}
-rm -rf ${PKI_RA_PACKAGES_DIR}
 rm -rf ${PKI_TPS_PACKAGES_DIR}
 rm -rf ${PKI_CONSOLE_PACKAGES_DIR}
 
@@ -156,7 +149,7 @@ cd ${PKI_PWD}
 ${PKI_COMPOSE_SCRIPTS_DIR}/${COMPOSE_DOGTAG_PKI_THEME_PACKAGES} rpms
 mv ${PKI_PACKAGES_DIR} ${PKI_DOGTAG_THEME_PACKAGES_DIR}
 cd ${PKI_DOGTAG_THEME_PACKAGES_DIR}/${RPM_DIR}/${NOARCH}
-${PKI_SUDO} ${YUM_EXE} ${YUM_EXE_OPTIONS} ${PKI_SERVER_THEME} ${PKI_RA_THEME} ${PKI_TPS_THEME} ${PKI_CONSOLE_THEME}
+${PKI_SUDO} ${YUM_EXE} ${YUM_EXE_OPTIONS} ${PKI_SERVER_THEME} ${PKI_TPS_THEME} ${PKI_CONSOLE_THEME}
 
 # Compose and install 'pki-core' packages
 cd ${PKI_PWD}
@@ -168,13 +161,6 @@ cp -p ${NOARCH}/*.rpm ${PKI_ARCH}/*.rpm ${PKI_CORE_PACKAGES_DIR}/${RPM_DIR}/${CO
 cd ${PKI_CORE_PACKAGES_DIR}/${RPM_DIR}/${COMBINED}
 ${PKI_SUDO} ${YUM_EXE} ${YUM_EXE_OPTIONS} ${PKI_SYMKEY} ${PKI_BASE} ${PKI_JAVADOC} ${PKI_TOOLS} ${PKI_SERVER} ${PKI_SELINUX} ${PKI_CA} ${PKI_KRA} ${PKI_OCSP} ${PKI_TKS}
 
-# Compose and install 'pki-ra' packages
-cd ${PKI_PWD}
-${PKI_COMPOSE_SCRIPTS_DIR}/${COMPOSE_PKI_RA_PACKAGES} rpms
-mv ${PKI_PACKAGES_DIR} ${PKI_RA_PACKAGES_DIR}
-cd ${PKI_RA_PACKAGES_DIR}/${RPM_DIR}/${NOARCH}
-${PKI_SUDO} ${YUM_EXE} ${YUM_EXE_OPTIONS} ${PKI_RA}
-
 # Compose and install 'pki-tps' packages
 cd ${PKI_PWD}
 ${PKI_COMPOSE_SCRIPTS_DIR}/${COMPOSE_PKI_TPS_PACKAGES} rpms
diff --git a/scripts/compose_pki_core_packages b/scripts/compose_pki_core_packages
index 67d85a5..18cddb0 100755
--- a/scripts/compose_pki_core_packages
+++ b/scripts/compose_pki_core_packages
@@ -45,7 +45,7 @@ if [ "$WITHOUT_JAVADOC" = "" ]; then
 fi
 
 if [ "$WITHOUT_SERVER" = "" ]; then
-    PKI_COMPONENT_LIST="$PKI_COMPONENT_LIST server ca kra ocsp tks tps-tomcat setup silent"
+    PKI_COMPONENT_LIST="$PKI_COMPONENT_LIST server ca kra ocsp tks tps-tomcat setup"
 fi
 
 ##
diff --git a/scripts/compose_pki_test_package b/scripts/compose_pki_test_package
index 5b26220..2aea422 100755
--- a/scripts/compose_pki_test_package
+++ b/scripts/compose_pki_test_package
@@ -83,7 +83,6 @@ CLASSPATH=$CLASSPATH:$PKI_SOURCE_DIR/base/server/tomcat/src
 CLASSPATH=$CLASSPATH:$PKI_SOURCE_DIR/base/server/cms/src
 CLASSPATH=$CLASSPATH:$PKI_SOURCE_DIR/base/server/cmscore/src
 CLASSPATH=$CLASSPATH:$PKI_SOURCE_DIR/base/server/test
-CLASSPATH=$CLASSPATH:$PKI_SOURCE_DIR/base/silent/src
 CLASSPATH=$CLASSPATH:$PKI_SOURCE_DIR/base/ca/src
 CLASSPATH=$CLASSPATH:$PKI_SOURCE_DIR/base/ca/functional/src
 CLASSPATH=$CLASSPATH:$PKI_SOURCE_DIR/base/kra/src
diff --git a/scripts/pki_patch_maker b/scripts/pki_patch_maker
index 08e8aac..6983410 100755
--- a/scripts/pki_patch_maker
+++ b/scripts/pki_patch_maker
@@ -37,7 +37,7 @@ Usage()
 ## Identify source associated with srpm
 ##
 IPA_PKI_THEME="dogtag/ca-ui dogtag/common-ui"
-PKI_CORE="base/ca base/common base/java-tools base/native-tools base/selinux base/setup base/silent base/symkey base/util"
+PKI_CORE="base/ca base/common base/java-tools base/native-tools base/selinux base/setup base/symkey base/util"
 
 
 ##
diff --git a/specs/pki-core.spec b/specs/pki-core.spec
index 7c10c1f..40b80dc 100644
--- a/specs/pki-core.spec
+++ b/specs/pki-core.spec
@@ -5,7 +5,7 @@ distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
 
 Name:             pki-core
 Version:          10.2.0
-Release:          0.7%{?dist}
+Release:          0.8%{?dist}
 Summary:          Certificate System - PKI Core Components
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -712,8 +712,6 @@ echo >> /var/log/pki/pki-server-upgrade-%{version}.log 2>&1
 %dir %{_datadir}/pki/scripts
 %{_datadir}/pki/scripts/operations
 %{_datadir}/pki/scripts/pkicommon.pm
-%{_datadir}/pki/scripts/functions
-%{_datadir}/pki/scripts/pki_apache_initscript
 %{_bindir}/pkidaemon
 %dir %{_sysconfdir}/systemd/system/pki-tomcatd.target.wants
 %{_unitdir}/pki-tomcatd@.service
@@ -721,15 +719,9 @@ echo >> /var/log/pki/pki-server-upgrade-%{version}.log 2>&1
 %{_javadir}/pki/pki-cms.jar
 %{_javadir}/pki/pki-cmsbundle.jar
 %{_javadir}/pki/pki-cmscore.jar
-%{_javadir}/pki/pki-silent.jar
 %{_javadir}/pki/pki-tomcat.jar
 %dir %{_sharedstatedir}/pki
-%{_bindir}/pkicreate
-%{_bindir}/pkiremove
 %{_bindir}/pki-setup-proxy
-%{_bindir}/pkisilent
-%{_datadir}/pki/silent/
-%{_bindir}/pkicontrol
 %{_mandir}/man5/pki_default.cfg.5.gz
 %{_mandir}/man8/pki-server-upgrade.8.gz
 %{_mandir}/man8/pkidestroy.8.gz
@@ -799,6 +791,10 @@ echo >> /var/log/pki/pki-server-upgrade-%{version}.log 2>&1
 %endif # %{with server}
 
 %changelog
+* Wed Aug 27 2014 Matthew Harmsen <mharmsen@redhat.com> - 10.2.0-0.8
+- PKI TRAC Ticket #1127 - Remove 'pki-ra', 'pki-setup', and 'pki-silent'
+  packages . . .
+
 * Wed Aug 13 2014 Jack Magne <jmagne@redhat.com> - 10.2.0-0.7
 - Respin to include the applet files with the rpm install. No change
   to spec file needed.
